/** \file command.h The structure of server and afs commands. */

/** Per connection data available to command handlers. */
struct command_context {
	/** Network address of the peer. */
	const char *peer;
	/** The paraslash user that executes this command. */
	struct user *u;
	/** Argument count. */
	int argc;
	/** Argument vector. */
	char **argv;
	/** File descriptor and crypto keys. */
	struct stream_cipher_context scc;
};

int send_sb(struct stream_cipher_context *scc, void *buf, size_t numbytes,
		int band, bool dont_free);
__printf_3_4 int send_sb_va(struct stream_cipher_context *scc, int band,
		const char *fmt, ...);
int send_strerror(struct command_context *cc, int err);
int recv_sb(struct stream_cipher_context *scc,
		enum sb_designator expected_band,
		size_t max_size, struct iovec *result);
