args "--unamed-opts=audio_file --no-handle-version --no-handle-help"

purpose "Print information about audio file(s)"

include(header.m4)
include(loglevel.m4)

<qu>

###################################
section "printing meta information"
###################################

option "chunk-table" c
#~~~~~~~~~~~~~~~~~~~~~
"print also the chunk table"
flag off
details = "
	The 'chunk table' of an audio file is an array of offsets
	within the audio file. Each offset corresponds to chunk
	of encoded data. The exact meaning of 'chunk' depends on
	the audio format.

	Programs which are unaware of the particular audio format can
	read the chunk table to obtain the timing information needed
	to stream the file.
"

option "parser-friendly" p
#~~~~~~~~~~~~~~~~~~~~~~~~~
"do not use human-readable output format"
flag off
details = "
	Currently this option only affects the format of the chunk table,
	so it has no effect if --chunk-table is not given.

	The human-readable output (the default) consists of one output
	line per chunk and the output contains also the chunk number,
	the duration and the size of each chunk. The parser-friendly
	output prints only the offsets, in one line.
"

#############################
section "modifying meta tags"
#############################

option "modify" m
#~~~~~~~~~~~~~~~~
"modify (rather than print) tags"
flag off
details = "
	When this option is given, para_afh creates the result file
	as a temporary copy of the given file(s), but with meta
	tags changed according to the options below. On errors,
	the temporary file is removed, leaving the original file
	unchanged. On success, if --backup is given, the original
	file is moved away. Finally the temporary file is renamed to
	the name of the original file.
"

option "backup" b
"create backup of the original file"
flag off
details = "
	The backup suffix is '~', i.e. a single tilde character is appended
	to the given file name.
"

option "year" y
#~~~~~~~~~~~~~~
"set the year tag"
string typestr="year"
optional

option "title" t
#~~~~~~~~~~~~~~~
"set the title tag"
string typestr="title"
optional

option "artist" a
#~~~~~~~~~~~~~~~~
"set the artist/author tag"
string typestr="artist"
optional

option "album" A
#~~~~~~~~~~~~~~~
"set the album tag"
string typestr="album"
optional

option "comment" C
#~~~~~~~~~~~~~~~~~
"set the comment tag"
string typestr="comment"
optional

</qu>
